org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.stereotype

## Class MethodStereotypeVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.stereotype.MethodStereotypeVisitor

    public class MethodStereotypeVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parse stereotypes for methods.

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`MethodStereotypeVisitor(org.objectweb.asm.MethodVisitor delegate, AnnotationType annotationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visit, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodStereotypeVisitor

    public MethodStereotypeVisitor(org.objectweb.asm.MethodVisitor delegate,
                                   AnnotationType annotationType)

### Method Detail

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`